#

API Docs for: 1.6.0
Show: Inherited Protected Private Deprecated

# AssetLoader Class

Uses

- EventTarget

Defined in: `src/pixi/loaders/AssetLoader.js:5`
Module: PIXI

A Class that loads a bunch of images / sprite sheet / bitmap font files. Once the assets have been loaded they are added to the PIXI Texture cache and can be accessed easily through PIXI.Texture.fromImage() and PIXI.Sprite.fromImage() When all items have been loaded this class will dispatch a 'onLoaded' event As each individual item is loaded this class will dispatch a 'onProgress' event

## Constructor

### `AssetLoader`

(

- `assetURLs`
- `crossorigin`

)

Defined in `src/pixi/loaders/AssetLoader.js:5`

#### Parameters:

- `assetURLs` Array<String>

  an array of image/sprite sheet urls that you would like loaded supported. Supported image formats include 'jpeg', 'jpg', 'png', 'gif'. Supported sprite sheet data formats only include 'JSON' at this time. Supported bitmap font data formats include 'xml' and 'fnt'.

- `crossorigin` Boolean

  Whether requests should be treated as crossorigin

- Index
- Methods
- Properties
- Events

## Item Index

### Methods

- _getDataType
- addEventListener
- dispatchEvent
- load
- onAssetLoaded
- removeAllEventListeners
- removeEventListener

### Properties

- assetURLs
- crossorigin
- listeners
- loadersByType

### Events

- onComplete
- onProgress

## Methods

### `_getDataType`

(

- `str`

)

Defined in `src/pixi/loaders/AssetLoader.js:74`

Given a filename, returns its extension, wil

#### Parameters:

- `str` String

  the name of the asset

### `addEventListener`

(

- `type`
- `listener`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:32`

Adds a listener for a specific event

#### Parameters:

- `type` String

  A string representing the event type to listen for.

- `listener` Function

  The callback function that will be fired when the event occurs

### `dispatchEvent`

(

- `event`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:55`

Fires the event, ie pretends that the event has happened

#### Parameters:

- `event` Event

  the event object

### `load`

()

Defined in `src/pixi/loaders/AssetLoader.js:107`

Starts loading the assets sequentially

### `onAssetLoaded`

() private

Defined in `src/pixi/loaders/AssetLoader.js:143`

Invoked after each file is loaded

### `removeAllEventListeners`

(

- `type`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:101`

Removes all the listeners that were active for the specified event type

#### Parameters:

- `type` String

  A string representing the event type which will have all its listeners removed

### `removeEventListener`

(

- `type`
- `listener`

)

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:80`

Removes the specified listener that was assigned to the specified event type

#### Parameters:

- `type` String

  A string representing the event type which will have its listener removed

- `listener` Function

  The callback function that was be fired when the event occured

## Properties

### `assetURLs`

Array<String>

Defined in `src/pixi/loaders/AssetLoader.js:25`

The array of asset URLs that are going to be loaded

### `crossorigin`

Boolean

Defined in `src/pixi/loaders/AssetLoader.js:33`

Whether the requests should be treated as cross origin

### `listeners`

Object

Inherited from EventTarget: `src/pixi/utils/EventTarget.js:24`

Holds all the listeners

### `loadersByType`

Object

Defined in `src/pixi/loaders/AssetLoader.js:41`

Maps file extension to loader types

## Events

### `onComplete`

Defined in `src/pixi/loaders/AssetLoader.js:66`

Fired when all the assets have loaded

### `onProgress`

Defined in `src/pixi/loaders/AssetLoader.js:61`

Fired when an item has loaded